#include "eeprom-killer.h"

void uart_send_s(char *data)
{
	while(*data)
	{
		uart_send_c(*data);
		data++;
	}
}

void uart_send_c(unsigned char x)
{
	while(!(UCSRA & (1 << UDRE)))
	{
	;	// wait for UART to finish sending
	}
 
	UDR = x;

//return 0;
}




 
void uart_get_s(char *buffer, unsigned char max_length)
{
	unsigned char next_char;
	unsigned char string_length = 0;
 
	next_char = uart_get_c();	// Warte auf und empfange das nchste Zeichen
 
	// Sammle solange Zeichen, bis:
	// * entweder das String-Ende-Zeichen kam
	// * oder das aufnehmende Array voll ist
	while( (next_char != 0x0D) && (string_length < (max_length - 1)) )
	{
		*buffer++ = next_char;
		string_length++;

		uart_send_c(next_char);
		next_char = uart_get_c();
	}
 
// Noch ein '\0' anhngen um einen Standard
// C-String daraus zu machen
	*buffer = '\0';
}

unsigned char uart_get_c()
{
    while(!(UCSRA & (1<<RXC)) )
	{
	;			// wait for next character
	}

return UDR;		// return reveived character
}
